Subject: Linux kernel support for mesh network multicast routing

From: Henning Rogge <[email-masked]>
Date: Mon, 23 Mar 2009 09:23:05 +0100

Hello,

I'm Henning Rogge, one of the programmers of the OLSR.org routing daemon.
OLSR is a proactive mesh net protocoll and our implementation is used mostly 
on small routers or embedded hardware.

At the moment OLSR.org does only support unicast routing (by setting routes in 
the linux kernel to do the hop-by-hop forwarding), but we would like to add 
the ability to use multicast too. OLSR is a proactive routing protocol, so 
each routing daemon has information about the whole network topology.

Most mesh networks use wireless links, so we don't have well defined broadcast 
interfaces and often have to retransmit incoming packages back through the 
same interface.

Does the linux kernel support setting up multicast forwarding rules like this 
so we could create multicast trees by the routing daemon and let the kernel 
forward the packages (and drop duplicates) ?

Henning Rogge